Subject: xdm and module problems

From: Bernhard Mogens Ege <[email-masked]>
Date: Fri, 26 Sep 1997 08:39:50 GMT

Hi

I have 2 problems, one regarding xdm and the other about modules.

First the xdm errors:

Typing xdm as root lead to the following error (as found in
/usr/lib/X11/xdm/xdm-errors):  

X Version 11 Release 6 X Window System
(Protocol Version 11, revision 0, vendor release 6000)
Operating system: linux
Using VT 7
Server: support for 2 16 256 colors
Screen: 1024 by 768 pixels, 256 colour
xdm error (pid 955): Unknown session exit code 2816 from process 958

I checked /var/log/messages and found these messages:

Sep 24 23:12:18 skywalker kernel: xrdb: memory violation at pc=0x00c1a638, lr=0x00015fc0 (bad address=0x6c2a6e69, code 1)
Sep 24 23:12:19 skywalker kernel: xdm: memory violation at pc=0x00c1a638, lr=0x0002b260 (bad address=0x00000000, code 1)

startx itself starts the X server without problems, so what can the
problem be? I did use the default xdm setup files.

After compiling my own kernel and modules, I find that not all the
modules work. I issued the following command after the make
modules_install:

depmod -e -a 2.0.31

It should create the modules.dep (and it did) but complained:

The following 3 modules fail. All symbols in the failed modules exist
in System.map (what is the use for this file anyway), e.g.,
dev_queue_xmit_R8611f3bd exists as _dev_queue_xmit

*** Unresolved symbols in module /lib/modules/2.0.31/net/eql.o
        dev_queue_xmit_R8611f3bd
        dev_kfree_skb_R5b08eaf6
        dev_get_Rfcaf4517
        register_netdev_R817314cd
        unregister_netdev_R5206da17
*** Unresolved symbols in module /lib/modules/2.0.31/net/ppp.o
        tty_register_ldisc_Ra78a82ea
        dev_close_R89cf5dfb
        dev_alloc_skb_R7ea904f6
        netif_rx_R8cd152e8
        kill_fasync_R3f43f877
        n_tty_ioctl_R9d0793bc
        dev_kfree_skb_R5b08eaf6
        register_netdev_R817314cd
        unregister_netdev_R5206da17
*** Unresolved symbols in module /lib/modules/2.0.31/net/slip.o
        dev_alloc_skb_R7ea904f6
        netif_rx_R8cd152e8
        dev_kfree_skb_R5b08eaf6
        register_netdev_R817314cd
        dev_close_R89cf5dfb
        unregister_netdev_R5206da17
        n_tty_ioctl_R9d0793bc
        tty_register_ldisc_Ra78a82ea

Did I forget to include something in the kernel (I did read the help (?)
text associated with each option to make sure that the kernel would
support what I think I need).

Bernhard

-- 
------------------------------------------------------------------------------
 Bernhard Mogens Ege, M.Sc.E.E.  |           | E-mail:      [email-masked]
 Laboratory of Image Analysis    |      /(   | Direct call:   +45 96 35 87 85
 Institute of Electronic Systems |   ._//(   | Switchboard:   +45 96 35 80 80
 Aalborg University              |  /  |  \  | Fax:           +45 98 15 40 08
 Frederik Bajersvej 7, D1-205    |  A  A  U  | Homepage:
 DK-9220 Aalborg East            |           | http://www.vision.auc.dk/~bme
------------------------------------------------------------------------------
  Home: H.C.Andersens Vej 26 st.mf., DK-9000 Aalborg, Phone: +45 20 42 99 26
------------------------------------------------------------------------------